/*
 * Copyright (C) 2004 ruby-ecore team (see AUTHORS)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __RB_ECORE_EVAS_H
#define __RB_ECORE_EVAS_H

#include <stdbool.h>

typedef struct {
	Ecore_Evas *real;
	VALUE evas;
	VALUE callbacks;
} RbEcoreEvas;

void Init_EcoreEvas (void);

void c_ecore_evas_mark (RbEcoreEvas *ee);
void c_ecore_evas_free (RbEcoreEvas *ee, bool free_mem);

#ifndef __RB_ECORE_EVAS_C
VALUE cEcoreEvas;
#endif

#endif
